# Package org.apache.ignite.internal.processors.service

Class Summary
Class | Description
--- | ---
GridServiceAssignments | Service per-node assignment.
GridServiceAssignmentsKey | Service configuration key.
GridServiceDeployment | Service deployment.
GridServiceDeploymentFuture | Service deployment future.
GridServiceDeploymentKey | Service configuration key.
GridServiceProcessor | Grid service processor.
ServiceContextImpl | Service context implementation.
ServiceDescriptorImpl | Service descriptor.

Exception Summary
Exception | Description
--- | ---
GridServiceMethodNotFoundException | Exception thrown if service is not found.
GridServiceNotFoundException | Exception thrown if service is not found.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015